%define name    qjackctl
%define version 0.2.13
%define pkgver  0.2.13
%define release 1

%define	desktop_vendor planetccrma
%define desktop_utils  %(if which desktop-file-install &>/dev/null ; then echo "yes" ; fi)
%define distro         %(awk '/Fedora/{print $4}; /Red Hat/{print $5}' 2>/dev/null < /etc/redhat-release)

Summary:      Qt based JACK control application
Name:         %{name}
Version:      %{version}
Release:      %{release}
URL:          http://qjackctl.sourceforge.net
Source0:      %{name}-%{pkgver}.tar.gz
License:      GPL
Group:        Applications/Multimedia
BuildRoot:    %{_tmppath}/%{name}-root
Packager:     Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
Distribution: Planet CCRMA
# qjackctl > 0.0.8 requires Jack 0.80.0 or better
Requires:     jack-audio-connection-kit >= 0.80.0

BuildRequires: gcc-c++ qt-devel
%if "%{distro}" == "2" || "%{distro}" == "3"
BuildRequires: xorg-x11-devel
%else
BuildRequires: XFree86-devel
%endif
BuildRequires: alsa-lib-devel jack-audio-connection-kit-devel

%description
Qjackctl is a simple Qt application to control the JACK sound server
daemon, specific for the Linux Audio Desktop infrastructure.

%prep
%setup -q -n %{name}-%{pkgver}

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{_prefix} install

cat << EOF > %{desktop_vendor}-%{name}.desktop
[Desktop Entry]
Name=Qjackctl
Comment=JACK control application
Icon=qjackctl.png
Exec=%{_bindir}/%{name}
Terminal=false
Type=Application
EOF

%if "%{desktop_utils}" == "yes"
  mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
  desktop-file-install --vendor %{desktop_vendor} \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications    \
    --add-category X-Red-Hat-Base                 \
    --add-category Application                    \
    --add-category AudioVideo                     \
    %{desktop_vendor}-%{name}.desktop
%else
  install -d $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Multimedia
  install %{desktop_vendor}-%{name}.desktop $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Multimedia/
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL README TODO
%{_bindir}/qjackctl
%{_datadir}/icons/qjackctl.png
%if "%{desktop_utils}" == "yes"
%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop
%else
%attr(644,root,root) %{_sysconfdir}/X11/applnk/Multimedia/%{desktop_vendor}-%{name}.desktop
%endif

%changelog
* Sun Dec  5 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.13-1
- updated to 0.2.13
* Mon Oct 11 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.12a-1
- updated to 0.2.12a
* Wed Sep 22 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.11-1
- updated to 0.2.11
* Sun Jul  4 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.9-1
- updated to 0.2.9
* Fri Apr 30 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.8-1
- updated to 0.2.8
* Wed Apr 21 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.7b-1
- updated to 0.2.7b
* Mon Feb 16 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.5-1
- updated to 0.2.5
* Thu Feb  5 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.4-1
- updated to 0.2.4
* Wed Jan 21 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.3a-1
- updated to 0.2.3a
* Fri Dec 12 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.0-1
- updated to 0.2.0
* Wed Nov 26 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.1.3-1
- updated to 0.1.3
* Tue Nov 18 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.1.2-1
- updated to 0.1.2
* Thu Oct 30 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.1.1-1
- updated to 0.1.1
* Fri Oct 10 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.9a-1
- updated to 0.0.9a
* Thu Sep 25 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.9-1
- updated to 0.0.9 (release often indeed!)
* Mon Sep 22 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.8-1
- updated to 0.0.8
- added explicit jack version requirement
* Mon Sep 15 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.7-1
- updated to 0.0.7
* Fri Sep  5 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.5-1
- updated to 0.0.5
* Fri Aug 29 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.4-1
- updated to 0.0.4, updated release tags
* Fri Aug  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.3-1
- updated to 0.0.3
* Wed Aug  6 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.2-1
- updated to 0.0.2
* Tue Jul 30 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.1-1
- initial build
